# Couenne::CouenneInfo::NlpSolution Class Reference

Class for storing an Nlp Solution. More...

`#include <BonCouenneInfo.hpp>`

List of all members.

## Public Member Functions
| NlpSolution (int n, const double *sol, double objval)
| ~NlpSolution ()
## Private Attributes
int | n_
| number of variables
double * | sol_
| values of the stored solution
double | objVal_
| objective function of stored solution
## Accessor methods
const double * | solution () const
double | objVal () const
int | nVars () const
| NlpSolution ()
| NlpSolution (const NlpSolution &)
void | operator= (const NlpSolution &)

## Detailed Description

Class for storing an Nlp Solution.

Definition at line 26 of file BonCouenneInfo.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneInfo::NlpSolution::NlpSolution | ( | int | n,
|  | const double * | sol,
|  | double | objval |
| ) |  |  |

Couenne::CouenneInfo::NlpSolution::~NlpSolution | ( |  | ) |

Couenne::CouenneInfo::NlpSolution::NlpSolution | ( |  | ) | `[private]`

Couenne::CouenneInfo::NlpSolution::NlpSolution | ( | const NlpSolution & |  | ) | `[private]`

## Member Function Documentation

const double* Couenne::CouenneInfo::NlpSolution::solution | ( |  | ) | const`[inline]`

Definition at line 37 of file BonCouenneInfo.hpp.

References sol_.

double Couenne::CouenneInfo::NlpSolution::objVal | ( |  | ) | const`[inline]`

Definition at line 41 of file BonCouenneInfo.hpp.

References objVal_.

int Couenne::CouenneInfo::NlpSolution::nVars | ( |  | ) | const`[inline]`

Definition at line 45 of file BonCouenneInfo.hpp.

References n_.

void Couenne::CouenneInfo::NlpSolution::operator= | ( | const NlpSolution & |  | ) | `[private]`

## Member Data Documentation

int Couenne::CouenneInfo::NlpSolution::n_`[private]`

number of variables

Definition at line 58 of file BonCouenneInfo.hpp.

Referenced by nVars().

double* Couenne::CouenneInfo::NlpSolution::sol_`[private]`

values of the stored solution

Definition at line 60 of file BonCouenneInfo.hpp.

Referenced by solution().

double Couenne::CouenneInfo::NlpSolution::objVal_`[private]`

objective function of stored solution

Definition at line 62 of file BonCouenneInfo.hpp.

Referenced by objVal().

The documentation for this class was generated from the following file:

- BonCouenneInfo.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines